Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.components.template
Class FreemarkerTemplateEngine

    java.lang.Object
      org.apache.struts2.components.template.BaseTemplateEngine
          org.apache.struts2.components.template.FreemarkerTemplateEngine

All Implemented Interfaces:
  TemplateEngine

    public class FreemarkerTemplateEngine

extends BaseTemplateEngine

Freemarker based template engine.

Field Summary
`(package private) static Class` | `bodyContent`
`private FreemarkerManager` | `freemarkerManager`
`private static Log` | `LOG`

Fields inherited from class org.apache.struts2.components.template.BaseTemplateEngine
`DEFAULT_THEME_PROPERTIES_FILE_NAME, themeProps`

Constructor Summary
`FreemarkerTemplateEngine()`

Method Summary
`protected String` | `getSuffix()`
`void` | `renderTemplate(TemplateRenderingContext templateContext)` Renders the template
`void` | `setFreemarkerManager(FreemarkerManager mgr)`

Methods inherited from class org.apache.struts2.components.template.BaseTemplateEngine
`getFinalTemplateName, getThemePropertiesFileName, getThemeProps`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### bodyContent

    static Class bodyContent

### freemarkerManager

    private FreemarkerManager freemarkerManager

### LOG

    private static final Log LOG

Constructor Detail

### FreemarkerTemplateEngine

    public FreemarkerTemplateEngine()

Method Detail

### setFreemarkerManager

    public void setFreemarkerManager(FreemarkerManager mgr)

### renderTemplate

    public void renderTemplate(TemplateRenderingContext templateContext)
                        throws Exception

  Description copied from interface: `TemplateEngine`
  Renders the template

  Parameters:
    `templateContext` - context for the given template.
  Throws:
    `Exception` - is thrown if there is a failure when rendering.

### getSuffix

    protected String getSuffix()

  Specified by:
    `getSuffix` in class `BaseTemplateEngine`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Apache Software Foundation. All Rights Reserved.